# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "pibaf"
version = "0.1.4-c"
authors = ["WASDetchan"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Safe idiomatic vulkan wrapper"
readme = false
license = "MIT"
repository = "https://github.com/WASDetchan/pibaf"

[lib]
name = "pibaf"
path = "src/lib.rs"

[[bin]]
name = "pibaf"
path = "src/main.rs"

[dependencies.ash]
version = "0.38"
features = ["linked"]

[dependencies.bon]
version = "3.8"

[dependencies.env_logger]
version = "0.11"

[dependencies.log]
version = "0.4"

[dependencies.strum]
version = "0.27"
features = ["derive"]

[dependencies.thiserror]
version = "2.0"
